import { Plugin } from '@nuxt/types';
declare class API {
    baseURL: string;
    headers: any;
    cache: Map<string, any>;
    constructor(baseURL: string, headers: any);
    query(name: string, variables?: any): Promise<any>;
    mutate(name: string, variables?: any): Promise<any>;
}
declare module 'vue/types/vue' {
    interface Vue {
        $api: API;
    }
}
declare module '@nuxt/types' {
    interface NuxtAppOptions {
        $api: API;
    }
    interface Context {
        $api: API;
    }
}
declare const apiPlugin: Plugin;
export default apiPlugin;
//# sourceMappingURL=plugin.d.ts.map